import 'package:flutter/material.dart';

import '../../base_view.dart';
import '../../shared_class.dart';

class DatePicker extends StatefulWidget {
  final Color textColor;
  final Color widgetBackColor;
  final Color listBackColor;
  final Color widgetUnselectedColor;
  final double widgetHeight;
  final double widgetWidth;
  final double containerHeight;
  final double containerWidth;
  final double expandWidth;
  final Function dateCallBack;
  final Function timeCallBack;
  final typesofCalendar calendarType;
  @override
  DatePicker(
      {this.textColor,
        this.widgetBackColor,
        this.listBackColor,
        this.widgetUnselectedColor,
        this.widgetHeight,
        this.widgetWidth,
        this.containerHeight,
        this.containerWidth,
        this.expandWidth,
        this.dateCallBack,
        this.timeCallBack,
        this.calendarType});
  _DatePickerState createState() => _DatePickerState();
}

class _DatePickerState extends State<DatePicker> {
  @override
  void dispose() {
    super.dispose();
    // StreamListener.imgStream.close();
  }
//DATE PICKER BASE
  @override
  Widget build(BuildContext context) {
    return Container(
      height: widget.containerHeight,
      margin: EdgeInsets.all(10),
      color: Colors.transparent,
      child: StreamBuilder(
          stream: SharedClass.imgStream.stream,
          builder: (context, snapshot) {
            if (snapshot.hasData) {
              return BaseView(
                  widget.textColor,
                  widget.widgetBackColor,
                  widget.listBackColor,
                  widget.widgetUnselectedColor,
                  snapshot.data,
                  widget.containerHeight,
                  widget.containerWidth,
                  widget.widgetWidth,
                  widget.widgetHeight,
                  10,
                  0,
                  true,
                  widget.expandWidth,
                  widget.dateCallBack,
                  widget.timeCallBack,
                  widget.calendarType,
                  false);
            } else {
              return BaseView(
                  widget.textColor,
                  widget.widgetBackColor,
                  widget.listBackColor,
                  widget.widgetUnselectedColor,
                  DateTime.now(),
                  widget.containerHeight,
                  widget.containerWidth,
                  widget.widgetWidth,
                  widget.widgetHeight,
                  10,
                  0,
                  true,
                  widget.expandWidth,
                  widget.dateCallBack,
                  widget.timeCallBack,
                  widget.calendarType,
                  false);
            }
          }),
    );
  }
}
