import 'package:flutter/material.dart';
import '../shared_class.dart';
import 'time_stream_listner.dart';

class TimePickerView extends StatefulWidget {
  final Color textColor;
  final Color widgetBackColor;
  final Color listBackColor;
  final Color widgetUnselectedColor;
  final double widgetHeight;
  final double widgetWidth;
  final double containerHeight;
  final double containerWidth;
  final double expandWidth;
  final Function dateCallBack;
  final Function timeCallBack;
  final typesofCalendar calendarType;

  TimePickerView({
      this.textColor,
      this.widgetBackColor,
      this.listBackColor,
      this.widgetUnselectedColor,
      this.widgetHeight,
      this.widgetWidth,
      this.containerHeight,
      this.containerWidth,
      this.expandWidth,this.dateCallBack,this.timeCallBack,this.calendarType});
  @override
  _TimePickerViewState createState() => _TimePickerViewState();
}
//TIME PICKER BASE
class _TimePickerViewState extends State<TimePickerView> {
  @override
  Widget build(BuildContext context) {
    return Container(
      child: Row(
        mainAxisAlignment: MainAxisAlignment.center,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          TimeStreamListner(
              widget.textColor,
              widget.widgetBackColor,
              widget.listBackColor,
              widget.widgetUnselectedColor,
              widget.widgetHeight,
              widget.widgetWidth,
              widget.containerHeight,
              widget.containerWidth,
              MediaQuery.of(context).size.width,null,widget.timeCallBack,typesofCalendar.hours,true),
          TimeStreamListner(
              widget.textColor,
              widget.widgetBackColor,
              widget.listBackColor,
              widget.widgetUnselectedColor,
              widget.widgetHeight,
              widget.widgetWidth,
              widget.containerHeight,
              widget.containerWidth,
              MediaQuery.of(context).size.width,null,widget.timeCallBack,typesofCalendar.minutes,true)
        ],),
    );
  }
}
